libqt5printsupport-private-devel-5.2.0-2.5.mga4.i586.rpm


Advertisement

Description

libqt5printsupport-private-devel - Devel files needed to build apps based on QtPrintSupport

Property Value
Distribution Mageia 4.1
Repository Mageia Core Updates i586
Package name libqt5printsupport-private-devel
Package version 5.2.0
Package release 2.5.mga4
Package architecture i586
Package type rpm
Installed size 54.76 KB
Download size 17.48 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Devel files needed to build apps based on QtPrintSupport.

Alternatives

Package Version Architecture Repository
libqt5printsupport-private-devel-5.2.0-2.4.mga4.i586.rpm 5.2.0 i586 Mageia Core Updates
libqt5printsupport-private-devel-5.2.0-2.3.mga4.i586.rpm 5.2.0 i586 Mageia Core Updates
libqt5printsupport-private-devel-5.2.0-2.mga4.i586.rpm 5.2.0 i586 Mageia Core
libqt5printsupport-private-devel - - -

Requires

Name Value
libqt5printsupport-devel == 5.2.0
qtbase5-common == 5.2.0

Provides

Name Value
libqt5printsupport-private-devel == 5.2.0
libqt5printsupport-private-devel == 5.2.0-2.5.mga4
libqt5printsupport-private-devel(x86-32) == 5.2.0-2.5.mga4
libqtprintsupport5-private-devel == 5.2.0
qt5printsupport-private-devel == 5.2.0
qtprintsupport5-private-devel == 5.2.0

Download

Type URL
Binary Package libqt5printsupport-private-devel-5.2.0-2.5.mga4.i586.rpm
Source Package qtbase5-5.2.0-2.5.mga4.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on "Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install libqt5printsupport-private-devel rpm package:
    # urpmi libqt5printsupport-private-devel

Files

Path
/usr/lib/qt5/include/QtPrintSupport/5.2.0/
/usr/lib/qt5/include/QtPrintSupport/5.2.0/QtPrintSupport/
/usr/lib/qt5/include/QtPrintSupport/5.2.0/QtPrintSupport/private/qabstractprintdialog_p.h
/usr/lib/qt5/include/QtPrintSupport/5.2.0/QtPrintSupport/private/qcups_p.h
/usr/lib/qt5/include/QtPrintSupport/5.2.0/QtPrintSupport/private/qcupsjobwidget_p.h
/usr/lib/qt5/include/QtPrintSupport/5.2.0/QtPrintSupport/private/qpagesetupdialog_p.h
/usr/lib/qt5/include/QtPrintSupport/5.2.0/QtPrintSupport/private/qpagesetupdialog_unix_p.h
/usr/lib/qt5/include/QtPrintSupport/5.2.0/QtPrintSupport/private/qpaintengine_alpha_p.h
/usr/lib/qt5/include/QtPrintSupport/5.2.0/QtPrintSupport/private/qpaintengine_preview_p.h
/usr/lib/qt5/include/QtPrintSupport/5.2.0/QtPrintSupport/private/qprintengine_pdf_p.h
/usr/lib/qt5/include/QtPrintSupport/5.2.0/QtPrintSupport/private/qprintengine_win_p.h
/usr/lib/qt5/include/QtPrintSupport/5.2.0/QtPrintSupport/private/qprinter_p.h
/usr/lib/qt5/include/QtPrintSupport/5.2.0/QtPrintSupport/private/qprinterinfo_p.h
/usr/lib/qt5/include/QtPrintSupport/5.2.0/QtPrintSupport/qpa/qplatformprintersupport.h
/usr/lib/qt5/include/QtPrintSupport/5.2.0/QtPrintSupport/qpa/qplatformprintplugin.h

Changelog

2015-04-22 - luigiwalser <luigiwalser> 5.2.0-2.5.mga4
+ Revision: 820559
- add patches from fedora to fix CVE-2015-1858, CVE-2015-1859, and CVE-2015-1860
- add patch from upstream via fedora to fix CVE-2014-0190
+ lmenut <lmenut>
- add upstream patch to fix DoS vulnerability in the BMP image handler
(CVE-2015-0295) mga#15383
+ neoclust <neoclust>
- Fix previous commit by moving requires in the good package
- Fix Requires in qtsql5-devel
2013-12-14 - fwang <fwang> 5.2.0-2.mga4
+ Revision: 556694
- 5.2.0 final
2013-12-01 - fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554396
- 5.2.0 rc1
2013-10-26 - fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 547083
- use xkbcommon instead
- br xcb-xkb
2013-10-26 - fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547072
- 5.2.0 beta1
2013-10-21 - umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538802
- Mageia 4 Mass Rebuild
2013-10-02 - neoclust <neoclust> 5.2.0-1.alpha.1.mga4
+ Revision: 490404
- New version 5.2.0 alpha
2013-09-26 - fwang <fwang> 5.2.0-0.0.20130523.9.mga4
+ Revision: 486794
- rebuild for icu 52
2013-08-10 - wally <wally> 5.2.0-0.0.20130523.8.mga4
+ Revision: 465090
- add more cmake fixes (rediff patch)
2013-08-10 - neoclust <neoclust> 5.2.0-0.0.20130523.7.mga4
+ Revision: 465081
- Add fedora patch to fix cmake path search

See Also

Package Description
libqt5printsupport5-5.2.0-2.3.mga4.i586.rpm Qt5 Lib
libqt5printsupport5-5.2.0-2.4.mga4.i586.rpm Qt5 Lib
libqt5printsupport5-5.2.0-2.5.mga4.i586.rpm Qt5 Lib
libqt5sql-devel-5.2.0-2.3.mga4.i586.rpm Devel files needed to build apps based on QtSql
libqt5sql-devel-5.2.0-2.4.mga4.i586.rpm Devel files needed to build apps based on QtSql
libqt5sql-devel-5.2.0-2.5.mga4.i586.rpm Devel files needed to build apps based on QtSql
libqt5sql-private-devel-5.2.0-2.3.mga4.i586.rpm Devel files needed to build apps based on QtSql
libqt5sql-private-devel-5.2.0-2.4.mga4.i586.rpm Devel files needed to build apps based on QtSql
libqt5sql-private-devel-5.2.0-2.5.mga4.i586.rpm Devel files needed to build apps based on QtSql
libqt5sql5-5.2.0-2.3.mga4.i586.rpm Qt5 Component Library
libqt5sql5-5.2.0-2.4.mga4.i586.rpm Qt5 Component Library
libqt5sql5-5.2.0-2.5.mga4.i586.rpm Qt5 Component Library
libqt5test-devel-5.2.0-2.3.mga4.i586.rpm Devel files needed to build apps based on QtTest
libqt5test-devel-5.2.0-2.4.mga4.i586.rpm Devel files needed to build apps based on QtTest
libqt5test-devel-5.2.0-2.5.mga4.i586.rpm Devel files needed to build apps based on QtTest
Advertisement
Advertisement